ClarisWksSpreadsheetInternal::Spreadsheet Struct Referencefinal

Internal the spreadsheet. More...

Inheritance diagram for ClarisWksSpreadsheetInternal::Spreadsheet:

## Public Member Functions
| Spreadsheet (ClarisWksStruct::DSET const &dset=ClarisWksStruct::DSET())
| ~Spreadsheet () final
| destructor
float | getRowHeight (int row) const
| returns the row size in point
float | getRowHeight (int row, int &numRepeated) const
| returns the height of a row in point and updated repeated row
Public Member Functions inherited from ClarisWksStruct::DSET
| DSET ()
| constructor
| DSET (DSET const &)=default
virtual | ~DSET ()
| virtual destructor
bool | isHeaderFooter () const
| test if the zone is an header/footer
bool | isSlide () const
| test if the zone is a slide
MWAWBox2f | getBdBox () const
| return the zone bdbox
int | getMaximumPage () const
| returns the maximum page
virtual void | removeChild (int cId, bool normalChild)
| virtual function to remove a child from a list
virtual void | removeChild (int cId)
| virtual function to remove a child from a list
void | updateChildPositions (MWAWVec2f const &pageDim, float formLength, int numHorizontalPages=1)
| try to update the child page and bounding box
void | findForbiddenPagesBreaking (float pageDim, float formDim, int dim, MWAWVariable< int > &lastPage) const
| find forbidden page break
MWAWBox2i | getUnionChildBox () const
| returns the child box (ie. the union of the childs box)

## Public Attributes
std::vector< int > | m_colWidths
| the columns width
std::map< int, int > | m_rowHeightMap
| a map row to height
std::shared_ptr< ClarisWksDbaseContent > | m_content
| the data
Public Attributes inherited from ClarisWksStruct::DSET
long | m_size
| the size of the DSET header
long | m_numData
| the number of header
long | m_dataSz
| the data size
long | m_headerSz
| the header size
Position | m_position
| the zone type
int | m_fileType
| the type ( 0: text, -1: graphic, ...)
int | m_page
| the page (if known)
MWAWBox2f | m_box
| the bounding box (if known)
MWAWVec2f | m_pageDimension
| the page dimension (if know)
int | m_id
| the zone identificator
std::set< int > | m_fathersList
| the list of fathers
int | m_beginSelection
| the begin of selection ( at least in text header)
int | m_endSelection
| the end of selection ( at least in text header)
int | m_textType
| the text type (header/footer,footnote, ...)
int | m_flags [4]
| some unknown flag
std::vector< Child > | m_childs
| the list of child zone
std::vector< int > | m_otherChilds
| the list of other child
bool | m_parsed
| a flag to know if the entry is sent or not to the listener
int | m_internal
| an internal variable used to do some computation

## Friends
std::ostream & | operator<< (std::ostream &o, Spreadsheet const &doc)
| operator<<

## Additional Inherited Members
Public Types inherited from ClarisWksStruct::DSET
enum | Position { P_Main =0 , P_Header , P_Footer , P_Frame , P_Footnote , P_Table , P_GraphicMaster , P_Slide , P_SlideNote , P_SlideThumbnail , P_SlideMaster , P_Unknown }
| the zone position More...
enum | ChildType { C_Zone , C_SubText , C_Graphic , C_Unknown }
| the different types of zone child More...

## Detailed Description

Internal the spreadsheet.

## Constructor & Destructor Documentation

## ◆ Spreadsheet()

ClarisWksSpreadsheetInternal::Spreadsheet::Spreadsheet | ( | ClarisWksStruct::DSET const & | dset = ClarisWksStruct::DSET() | ) |
| inline explicit

Referenced by operator<<.

## ◆ ~Spreadsheet()

ClarisWksSpreadsheetInternal::Spreadsheet::~Spreadsheet | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ getRowHeight() [1/2]

float ClarisWksSpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

## ◆ getRowHeight() [2/2]

float ClarisWksSpreadsheetInternal::Spreadsheet::getRowHeight | ( | int | row,
|  | int & | numRepeated ) const
| inline

returns the height of a row in point and updated repeated row

## Friends And Related Symbol Documentation

## ◆ operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Spreadsheet const & | doc )
| friend

operator<<

## Member Data Documentation

## ◆ m_colWidths

std::vector<int> ClarisWksSpreadsheetInternal::Spreadsheet::m_colWidths

the columns width

Referenced by Spreadsheet().

## ◆ m_content

std::shared_ptr<ClarisWksDbaseContent> ClarisWksSpreadsheetInternal::Spreadsheet::m_content

the data

Referenced by Spreadsheet().

## ◆ m_rowHeightMap

std::map<int, int> ClarisWksSpreadsheetInternal::Spreadsheet::m_rowHeightMap

a map row to height

Referenced by getRowHeight(), getRowHeight(), ClarisWksSpreadsheet::readRowHeightZone(), and Spreadsheet().

The documentation for this struct was generated from the following file:

- ClarisWksSpreadsheet.cxx